Bug 1263996 - [Tracker] [RFE] Support offloads for virtio-net-pci when use vhost-user/dpdk as netdev. [NEEDINFO]
[Tracker] [RFE] Support offloads for virtio-net-pci when use vhost-user/dpdk ...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Victor Kaplansky
Pei Zhang
: FutureFeature, Tracking
Depends On:
Blocks: 1288337
  Show dependency treegraph
 
Reported: 2015-09-17 05:38 EDT by Qian Guo
Modified: 2017-05-17 03:32 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ailan: needinfo? (vkaplans)


Attachments (Terms of Use)

  None (edit)
Description Qian Guo 2015-09-17 05:38:17 EDT
Description of problem:
Checked in guest, if with vhost-user/dpdk as netdev, the offloads of virtio-net all are disabled(off) except gro by default, and cannot enable them by ethtool.

If the guest try to communicate with other systems not only with other vhostuser guests, is it possible to use the offloads?

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.3.0-23.el7.x86_64
openvswitch-dpdk-2.4.0-0.10346.git97bab959.1.el7.x86_64
dpdk-2.0.0-9.el7.x86_64
kernel-3.10.0-316.el7.x86_64 (guest/host)

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Amnon Ilan 2015-09-20 11:17:44 EDT
In a guest with vhost-user backend (does not matter if it's dpdpk guest driver, virtio-net guest driver, or other) all traffic goes through this backend (it just replaces the normal vhost). 
Hence, there is no effect for the traffic peer (other guest, other net host) on that: everything goes through the vhost-user.
In a normal ovs/dpdk setup (as one example of a vhost-user use case) vhost-user resides in the ovs userspace process, and is terminated on the ovs port. From there on the traffic goes through switching and ends up in another ovs port: it can be normal guest, vhost-user guest or outbound network port.

Currently, vhost-user does not support offloads. It is planed to add it in the future.

Note You need to log in before you can comment on or make changes to this bug.